[CentOS-devel] Missing packages in CentOS 6.4 x86_64

Johnny Hughes johnny at centos.org
Fri Mar 22 11:54:39 UTC 2013

On 03/21/2013 10:25 PM, John Newbigin wrote:
> Hi,
> This may be by design or there may be a reason for it which I don't know.
> In the x86_64 repository for CentOS 6.4, the i686 version of these 
> packages below are not up to date. This causes yum to complain about 
> 'Protected multilib versions'.
> * iscsi-initiator-utils-
> * iscsi-initiator-utils-devel-
> * control-center-filesystem-2.28.1-38
> There may be others but these are the three I had to fix manually on my 
> system.
> I just downloaded the i686 versions from the i386 repository which seem 
> to work fine.
> John.

If you look here:


You will see no i686 RPMs for iscsi in the x86_64 tree there, where as
the i686 iscsi packages that you mention (iscsi-initiator-utils and
iscsi-initiator-utils-devel), were on the upstream isos for EL 6.0.  So,
for some reason, upstream as decided to remove the i686 packages from
the x86_64 tree and we followed suit.  We did it more for repo closure
purposes than following the upstream tree.

For control-center-filesystem.i686, I can not find that on any upstream
x86_64 isos (so we should likely not have had it there in the first
place), but it is not in the x86_64 tree here:


So, the packages being removed is the current upstream state, and is
likely where we ought to be.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 198 bytes
Desc: OpenPGP digital signature
URL: <http://lists.centos.org/pipermail/centos-devel/attachments/20130322/382e3504/attachment.sig>

More information about the CentOS-devel mailing list